#!/usr/bin/python

# Download CryptoPhoto Python lib from https://cryptophoto.com/admin/api
from CryptoPhotoUtils import CryptoPhotoUtils
import cgi, hashlib, os

server      = "https://cryptophoto.com";
private_key = "xxx"; # Your CryptoPhoto Private API Key
public_key  = "yyy"; # Your CryptoPhoto Public API Key
salt        = "random-salt-string";
uid         = "userId"; # Your users internal ID

cp = CryptoPhotoUtils(server, private_key, public_key, hashlib.sha1(uid + salt).hexdigest())
cp.start_session(cgi.escape(os.environ["REMOTE_ADDR"]))

display = ''
error = ''
sid = ''

if cp.is_valid:
  sid = cp.sid
else:
  error = cp.error + cp.errdesc

if sid:
  display = ("<div id='cp_widget'>Loading...</div>"
             "<script type='text/javascript'"
             "src='" + server + "/api/token?sd=" + sid + "'>"
             "</script>")
elif error:
  display = "<div>Error: " + error + "</div>"

out = '''Content-Type: text/html; charset=utf-8

<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<title>User Account</title>
</head>
<body>
  <h2>Manage Your Tokens</h2>
  {display}
</body>
</html>'''

out = out.format(display=display)

print out